package org.systemsbiology.chem;

/*
 * Copyright (C) 2003 by Institute for Systems Biology,
 * Seattle, Washington, USA.  All rights reserved.
 * 
 * This source code is distributed under the GNU Lesser 
 * General Public License, the text of which is available at:
 *   http://www.gnu.org/copyleft/lesser.html
 */

/**
 * Definitions of constants that are useful in simulations of
 * coupled chemical reactions.
 */
public final class Constants
{
    /**
     * The number of molecules per mole.  Value taken from the 1998
     * CODATA recommended values.  Uncertainty is plus or minus
     * 0.00000047e+23.
     */
    public static final double AVOGADRO_CONSTANT = 6.02214199e+23;

}
